openapi: 3.0.0
info:
    version: "1.91.0.1"
    title: API REST Servicios CGES
    description: >
        <h3>Tablas Maestras</h3>
        <p>Este apartado de la definición recoge las consultas a tablas maestras:</p>
        <ul>
            <li>Tablas maestras de solicitudes</li>
            <li>Tablas maestras de contactos</li>
            <li>Tablas maestras de recursos</li>
            <li>Tablas maestras de ubicaciones</li>
            <li>Otras tablas maestras</li>
        </ul>
        <p>
        Incluye también los métodos para la generación de los tokens que se usan para operar con la API.
        </p>
        <br/><br/><div id="load_options"></div>
validatorUrl: null
servers:
    - url: http://servicioscges.pre.sas.junta-andalucia.es/servicioscges/api/v1/sistemasExternos
      description: Servidor de Preproducción (acceso por intranet)
    - url: 'https://ws001.sspa.juntadeandalucia.es/servicioscges/api/v1/sistemasExternos'
      description: Servidor de Producción (acceso por internet)
    - url: https://servicioscges.sas.junta-andalucia.es/servicioscges/api/v1/sistemasExternos
      description: Servidor de Producción (acceso por intranet)
paths:
    
    #Acceso al sistema mediante tokens
    
    /accesos/token:
        $ref: './paths_accesos_token.yaml'
    /accesos/jwt/keys:
        $ref: './paths_accesos_jwt_keys.yaml'
    

    #Tablas maestras de solicitudes
    
    /cges/tablas/causasraices:
        $ref: './paths_cges_tablas_causasraices.yaml'
    /cges/tablas/categoriasservicio:
        $ref: './paths_cges_tablas_categoriasservicio.yaml'
    /cges/tablas/estados:
        $ref: './paths_cges_tablas_estados.yaml'
    /cges/tablas/impactos: 
        $ref: './paths_cges_tablas_impactos.yaml'
    /cges/tablas/reclamaciones/tipos:    
        $ref: './paths_cges_tablas_reclamaciones_tipos.yaml'
    /cges/tablas/sintomas:
        $ref: './paths_cges_tablas_sintomas.yaml'
    /cges/tablas/subestados:
        $ref: './paths_cges_tablas_subestados.yaml'
    /cges/tablas/tipificaciones:    
        $ref: './paths_cges_tablas_tipificaciones.yaml'
    /cges/tablas/suspensiones/motivos:    
        $ref: './paths_cges_tablas_suspensiones_motivos.yaml'
        
    #Tablas maestras de contactos
    
    /cges/tablas/contactos:
        $ref: './paths_cges_tablas_contactos.yaml'
    /cges/tablas/contactos/escalado:
        $ref: './paths_cges_tablas_contactos_escalado.yaml'
    /cges/tablas/contactos/registro:
        $ref: './paths_cges_tablas_contactos_registro.yaml'
    /cges/contactos:
        $ref: './paths_cges_contactos.yaml'
    /cges/contactos/{idContacto}:
        $ref: './paths_cges_contactos_id.yaml'
    /cges/contactos/{idContacto}/datossgi:
        $ref: './paths_cges_contactos_id_datossgi.yaml'
    /cges/contactos/datossgi/categorias:
        $ref: './paths_cges_contactos_datossgi_categorias.yaml'
    /cges/contactos/datossgi/especialidades:
        $ref: './paths_cges_contactos_datossgi_especialidades.yaml'
    /cges/contactos/{idContacto}/dispositivos:
        $ref: './paths_cges_contactos_id_dispositivos.yaml'
    /cges/contactos/{idContacto}/dispositivos/{idDispositivo}:
        $ref: './paths_cges_contactos_id_dispositivos_id.yaml'
    /cges/contactos/{idContacto}/tratamientosespeciales:
        $ref: './paths_cges_contactos_id_tratamientosespeciales.yaml'
    /cges/tablas/codigosupo:
        $ref: './paths_cges_tablas_codigosupo.yaml'
    /cges/tablas/turnoslaborales:
        $ref: './paths_cges_tablas_turnoslaborales.yaml'
    /cges/tablas/turnoslaborales/{idTurnoLaboral}:
        $ref: './paths_cges_tablas_turnoslaborales_id.yaml'
        
    #Tablas maestras de recursos
    
    /cges/tablas/recursos:
        $ref: './paths_cges_tablas_recursos.yaml'  
    /cges/tablas/recursos/{uuidRecurso}:    
        $ref: './paths_cges_tablas_recursos_id.yaml'  
    /cges/tablas/recursos/estados:
        $ref: './paths_cges_tablas_recursos_estados.yaml'       
    /cges/tablas/recursos/familias:
        $ref: './paths_cges_tablas_recursos_familias.yaml' 
    /cges/tablas/recursos/fhs: 
        $ref: './paths_cges_tablas_recursos_fhs.yaml' 
    /cges/tablas/recursos/infraestructura/historico/campos:    
        $ref: './paths_cges_tablas_recursos_infraestructura_historico_campos.yaml'
    /cges/tablas/recursos/marcas:
        $ref: './paths_cges_tablas_recursos_marcas.yaml'         
    /cges/tablas/recursos/modelos:    
        $ref: './paths_cges_tablas_recursos_modelos.yaml'        
    /cges/tablas/recursos/modelos/fms:    
        $ref: './paths_cges_tablas_recursos_modelos_fms.yaml'          
    /cges/tablas/recursos/modelos/{uuidModelo}:    
        $ref: './paths_cges_tablas_recursos_modelos_id.yaml'    
    /cges/tablas/recursos/tipos:    
        $ref: './paths_cges_tablas_recursos_tipos.yaml'         
    /cges/tablas/recursos/sistemasoperativos:    
        $ref: './paths_cges_tablas_recursos_sistemasoperativos.yaml' 
    /cges/tablas/recursos/{uuidRecurso}/imagenes:    
        $ref: './paths_cges_tablas_recursos_id_imagenes.yaml'
        
    #Tablas maestras de ubicaciones
    
    /cges/tablas/areas:
        $ref: './paths_cges_tablas_areas.yaml'
    /cges/tablas/provincias:
        $ref: './paths_cges_tablas_provincias.yaml'
    /cges/tablas/nodos:    
        $ref: './paths_cges_tablas_nodos.yaml'
    /cges/tablas/ubicaciones:
        $ref: './paths_cges_tablas_ubicaciones.yaml'
    /cges/tablas/ubicaciones/{uuidUbicacion}/edificios:
        $ref: './paths_cges_tablas_ubicaciones_id_edificios.yaml'
    /cges/tablas/ubicaciones/{uuidUbicacion}/edificios/{idEdificio}:
        $ref: './paths_cges_tablas_ubicaciones_id_edificios_id.yaml'
    /cges/tablas/ubicaciones/{uuidUbicacion}/edificios/{idEdificio}/plantas:
       $ref: './paths_cges_tablas_ubicaciones_id_edificios_id_plantas.yaml'
    /cges/tablas/ubicaciones/{uuidUbicacion}/edificios/{idEdificio}/plantas/{idPlanta}:
        $ref: './paths_cges_tablas_ubicaciones_id_edificios_id_plantas_id.yaml'
    /cges/tablas/ubicaciones/{uuidUbicacion}/edificios/{idEdificio}/plantas/{idPlanta}/salas:
       $ref: './paths_cges_tablas_ubicaciones_id_edificios_id_plantas_id_salas.yaml'
    /cges/tablas/ubicaciones/{uuidUbicacion}/edificios/{idEdificio}/plantas/{idPlanta}/salas/{idSala}:
        $ref: './paths_cges_tablas_ubicaciones_id_edificios_id_plantas_id_salas_id.yaml'
    /cges/tablas/ubicacionesptei:
        $ref: './paths_cges_tablas_ubicacionesptei.yaml'
    /cges/tablas/zonasbasicas:        
        $ref: './paths_cges_tablas_zonasbasicas.yaml'
        
    #Otras tablas maestras
    
    /cges/tablas/anuncios:
        $ref: './paths_cges_tablas_anuncios.yaml'
    /cges/tablas/adjuntos:    
        $ref: './paths_cges_tablas_adjuntos.yaml'
    /cges/tablas/adjuntos/imagenes/{idImagen}:
        $ref: './paths_cges_tablas_adjuntos_imagenes_id.yaml'
    /cges/tablas/adjuntos/{idAdjunto}/fichero:
        $ref: './paths_cges_tablas_id_adjuntos_fichero.yaml'
    /cges/tablas/organizaciones:
        $ref: './paths_cges_tablas_organizaciones.yaml'
    /cges/tablas/prioridades:
        $ref: './paths_cges_tablas_prioridades.yaml'
    
    # Enlaces HATEOAS
    
    /cges/links/contactos/{idContacto}:
        $ref: './paths_cges_links_contactos_id.yaml'
    /cges/links/recursos/{idRecurso}:
        $ref: './paths_cges_links_recursos_id.yaml'
    /cges/links/solicitudes/{idSolicitud}:
        $ref: './paths_cges_links_solicitudes_id.yaml'
    /cges/links/ubicaciones/{idUbicacion}:
        $ref: './paths_cges_links_ubicaciones_id.yaml'
    /cges/links/organizaciones/{uuidOrganizacion}:
        $ref: './paths_cges_links_organizaciones_id.yaml'